Summary:	Command-line copy/paste utilities for Wayland
Name:		wl-clipboard
Version:	2.2.1
Release:	1
License:	GPL v3+
Group:		Applications
Source0:	https://github.com/bugaevc/wl-clipboard/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9b128d99f5364e8bd0d3ddbfca9413d7
URL:		https://github.com/bugaevc/wl-clipboard
BuildRequires:	meson >= 0.47.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols >= 1.17
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project implements two command-line Wayland clipboard utilities,
wl-copy and wl-paste, that let you easily copy data between the
clipboard and Unix pipes, sockets, files and so on.

%package -n bash-completion-wl-clipboard
Summary:	Bash completion for wl-clipboard
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-wl-clipboard
Bash completion for wl-clipboard.

%package -n fish-completion-wl-clipboard
Summary:	fish-completion for wl-clipboard
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish
BuildArch:	noarch

%description -n fish-completion-wl-clipboard
fish-completion for wl-clipboard.

%package -n zsh-completion-wl-clipboard
Summary:	ZSH completion for wl-clipboard
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-wl-clipboard
ZSH completion for wl-clipboard.

%prep
%setup -q

%build
%meson build \
	-Dzshcompletiondir=%{zsh_compdir}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/wl-copy
%attr(755,root,root) %{_bindir}/wl-paste
%{_mandir}/man1/wl-clipboard.1*
%{_mandir}/man1/wl-copy.1*
%{_mandir}/man1/wl-paste.1*

%files -n bash-completion-wl-clipboard
%defattr(644,root,root,755)
%{bash_compdir}/wl-copy
%{bash_compdir}/wl-paste

%files -n fish-completion-wl-clipboard
%defattr(644,root,root,755)
%{fish_compdir}/wl-copy.fish
%{fish_compdir}/wl-paste.fish

%files -n zsh-completion-wl-clipboard
%defattr(644,root,root,755)
%{zsh_compdir}/_wl-copy
%{zsh_compdir}/_wl-paste
%changelog
* Sun Aug 27 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wl-clipboard.git;a=log;h=master

* Sun Aug 27 2023 Jan Palus <atler@pld-linux.org> e1b229d
- up to 2.2.1

* Sun Jul 23 2023 Jan Palus <atler@pld-linux.org> 34377b9
- BR: pkgconfig

* Sun Jul 23 2023 Jan Palus <atler@pld-linux.org> cf4ef1d
- up to 2.2.0

* Thu Oct 27 2022 Jan Palus <atler@pld-linux.org> 377a5dc
- correct bash-completion epoch

* Thu Oct 27 2022 Jan Palus <atler@pld-linux.org> e37ccfa
- rpm version for noarch subpackage

* Thu Oct 27 2022 Jan Palus <atler@pld-linux.org> 6144a01
- up to 2.1.0

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> afb9c4f
- unconditional noarch subpackages

* Sat Feb 13 2021 Jan Palus <atler@pld-linux.org> 91804d7
- new

